declare const _default: "android {\n  signingConfigs {\n    release {\n      // This is necessary to avoid needing the user to define a release signing config manually\n      // If no release config is defined, and this is not present, build for assembleRelease will crash\n    }\n  }\n\n  buildTypes {\n    release {\n      // This is necessary to avoid needing the user to define a release build type manually\n    }\n  }\n}\n\nproject.afterEvaluate {\n  android.signingConfigs.release { config ->\n    def debug = gradle.startParameter.taskNames.any { it.toLowerCase().contains('debug') }\n\n    if (debug) {\n      return\n    }\n\n    def credentialsJson = rootProject.file(\"../credentials.json\");\n\n    if (credentialsJson.exists()) {\n      if (config.storeFile) {\n        println(\"Path to release keystore file is already set, ignoring 'credentials.json'\")\n      } else {\n        try {\n          def credentials = new groovy.json.JsonSlurper().parse(credentialsJson)\n\n          storeFile rootProject.file(\"../\" + credentials.android.keystore.keystorePath)\n          storePassword credentials.android.keystore.keystorePassword\n          keyAlias credentials.android.keystore.keyAlias\n          keyPassword credentials.android.keystore.keyPassword\n        } catch (Exception e) {\n          println(\"An error occurred while parsing 'credentials.json': \" + e.message)\n        }\n      }\n    } else {\n      if (config.storeFile == null) {\n        println(\"Couldn't find a 'credentials.json' file, skipping release keystore configuration\")\n      }\n    }\n  }\n\n  android.buildTypes.release { config ->\n    config.signingConfig android.signingConfigs.release\n  }\n}\n";
export default _default;
